SORT(1)

NAMN
sort - sort lines of text files

SYNOPSIS
sort [FLAGGA]... [FIL]...
sort [FLAGGA]... --files0-from=F

BESKRIVNING

Skriv en sorterad sammanfogning av alla FIL(er) till standard ut.

Utan FIL, eller när FIL är -, läs standard in.

Obligatoriska argument till långa flaggor är obligatoriska även för de korta. Sorteringsflaggor:

-b, --ignore-leading-blanks
    Ignorera inledande mellanslag.

-d, --dictionary-order
    Betrakta endast alfanumeriska och blanka tecken.

-f, --ignore-case
    Byt gemener mot versaler.

-g, --general-numeric-sort
    Jämför enligt generellt numeriskt värde.

-i, --ignore-nonprinting
    Beakta endast skrivbara tecken.

-M, --month-sort
    Jämför (okänd) < 'JAN' < … < 'DEC'.

-h, --human-numeric-sort
    Jämför mänskligt läsbara tal (t.ex., 2K 1G).

-n, --numeric-sort
    Jämför enligt strängens numeriska värde.

-R, --random-sort
    Blanda, men gruppera identiska nycklar. Se shuf(1).

--random-source=FIL
    Hämta slumpbyte:ar från FIL.

-r, --reverse
    Vänd på resultatet av jämförelserna.

--sort=ORD
    Sortera enligt ORD: general-numeric -g, human-numeric -h, month -M, numeric -n, random -R, version -V.

-V, --version-sort
    Naturlig sortering av (versions)nummer i text.

Andra flaggor:

--batch-size=ANTAL
    Slå samman högst ANTAL indatafiler åt gången, använd temporärfiler för filer.

-c, --check, --check=diagnose-first
    Kontrollera om indata är sorterad, sortera ej.

-C, --check=quiet, --check=silent
    Som -c, men rapportera inte en första felaktig rad.

--compress-program=PROG
    Komprimera temporärfiler med PROG; packa upp dem med PROG -d.

--debug
    Annotera delarna av raden som används för sortering, och varna om tveksam användning till standard fel.

--files0-from=F
    Läs indata från filerna som anges med nollterminerade namn i filen F. Om F är - så läs namn från standard in.

-k, --key=NYCKELDEF
    Sortera via en nyckel; NYCKELDEF anger plats och typ.

-m, --merge
    Slå samman redan sorterade filer, sortera inte.

-o, --output=FIL
    Skriv resultatet till FIL i stället för standard ut.

-s, --stable
    Stabilisera sortering genom att stänga av sista-utvägsjämförelse.

-S, --buffer-size=STORLEK
    Använd STORLEK för huvudminnesbuffert.

-t, --field-separator=SEP
    Använd SEP istället för övergång från ej blanka till blanka.

-T, --temporary-directory=KAT
    Använd KAT för tillfälliga filer, ej $TMPDIR eller /tmp; flera argument anger flera kataloger.

--parallel=N
    Ändra antalet samtidiga sorteringskörningar till N.

-u, --unique
    Med -c, kontrollera strikt ordningsföljd; utan -c, skriv ut endast den första av flera lika.

-z, --zero-terminated
    Radavgränsare är NOLL, inte nyrad.

--help
    Visa denna hjälp och avsluta.

--version
    Visa versionsinformation och avsluta.

NYCKELDEF är F[.C][FLGR][,F[.C][FLGR]] för start och slutposition, där F är ett fältnummer och C en teckenpositionen inom fältet; båda börjar på 1, och som standard är slutpositionen radens slut. Om vare sig -t eller -b är på räknas tecken i fältet från början av föregående blanktecken. FLGR är en eller flera enbokstavs ordningsflaggor [bdfgiMhnRrV], vilka ersätter globala ordningsflaggor för den nyckeln. Om ingen nyckel är angiven, använd hela raden som nyckel. Använd --debug för att diagnostisera felaktigt användande av nycklar.

STORLEK kan följas av följande multiplikativa ändelser: % 1% av minne, b 1, K 1024 (standard), och så vidare för M, G, T, P, E, Z, Y.

*** VARNING *** Lokalen som är angiven i omgivningen påverkar sorteringsordning. Sätt LC_ALL=C för att få traditionell sorteringsordning som använder de underliggande bytevärdena.

UPPHOVSMAN
Skrivet av Mike Haertel och Paul Eggert.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>.

COPYRIGHT
Copyright © 2020 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE OCKSÅ
shuf(1), uniq(1)

Fullständig dokumentation <https://www.gnu.org/software/coreutils/sort>
eller tillgängligt lokalt via: info '(coreutils) sort invocation'

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till <TODO>.